#include <iostream>
#include <cstdlib>
#include <algorithm>

#define ll long long int

using namespace std;

int main()
{
	ll n, k;
	cin >> n >> k;
	ll* s = (ll*)malloc(sizeof(ll) * n);
	for (int i = 0;i<n;i++)
	{
		cin >> s[i];
	}
	sort(s, s + n);
	ll lb = s[0] - (n - 1) * k;
	ll ub = s[n - 1] + 1;
	ll finpos = -666;
	while (1)
	{
		ll mid = lb + (ub - lb)/2;
		ll penl = 0;
		ll penr = 0;
		for (int i = 0; i < n; i++)
		{
			if (mid + i * k < s[i])
			{
				penl++;
				penr--;
			}
			if (mid + i * k > s[i])
			{
				penr++;
				penl--;
			}
			if (mid + i * k == s[i])
			{
				penl++;
				penr++;
			}
		}
		//cout << "at " << mid << ", penl = " << penl << ", penr = " << penr << endl;
		if (penl >= 0 && penr >= 0)
		{
			finpos = mid;
			break;
		}
		if (penl < 0)
		{
			ub = mid;
		}
		else
		{
			lb = mid;
		}
	}
	ll dist = 0;
	for (int i = 0; i < n; i++)
	{
		dist += abs(s[i] - (finpos + i*k));
	}
	cout << dist << endl;
	return 0;
}
